﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DynamicShapes
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DrawShapes();
        }

        public void DrawShapes()
        {
            // Draw a Rectangle with a solid black border and a white fill that fills the Canvas
            Rectangle rect1 = new Rectangle()
            {
                Fill = Brushes.White,
                Height = 480,
                Width = 640,
                Stroke = Brushes.Black,
                StrokeThickness = 2
            };

            // Draw a second Rectangle with a solid Black border and a red fill centered on the canvas
            Rectangle rect2 = new Rectangle()
            {
                Fill = Brushes.Red,
                Height = 100,
                Width = 200,
                Stroke = Brushes.Black,
                StrokeThickness = 1
            };

            // Set the position of rect2
            Canvas.SetTop(rect2, 480 / 2 - 100 / 2);
            Canvas.SetLeft(rect2, 640 / 2 - 200 / 2);

            // Add the rectangles to the canvas
            canvas.Children.Add(rect1);
            canvas.Children.Add(rect2);

            // Draw an Ellipse
            Ellipse ellipse1 = new Ellipse()
            {
                Fill = Brushes.Transparent,
                Height = 480,
                Width = 640,
                Stroke = Brushes.Black,
                StrokeThickness = 1
            };

            // Add the ellipse to the canvas
            canvas.Children.Add(ellipse1);

            // Draw two Lines
            Line line1 = new Line()
            {
                X1 = 0,
                Y1 = 0,
                X2 = 640,
                Y2 = 480,
                Stroke = Brushes.Blue,
                StrokeThickness = 1
            };

            Line line2 = new Line()
            {
                X1 = 0,
                Y1 = 480,
                X2 = 640,
                Y2 = 0,
                Stroke = Brushes.Blue,
                StrokeThickness = 1
            };

            canvas.Children.Add(line1);
            canvas.Children.Add(line2);

            // Drawing some Text
            TextBlock textBlock = new TextBlock();

            textBlock.Text = "Hello, World!";
            textBlock.Foreground = new SolidColorBrush(Colors.Yellow);
            textBlock.Background = new SolidColorBrush(Colors.Black);
            textBlock.FontSize = 50;

            Canvas.SetLeft(textBlock, 100);
            Canvas.SetTop(textBlock, 100);

            canvas.Children.Add(textBlock);
        }
    }
}
